Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.models
Class CMBuilder

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.models.CMBuilder

public class CMBuilder
extends java.lang.Object

This class constructs content models for a given grammar.

Version:
  $Id: CMBuilder.java,v 1.21 2004/02/03 17:27:45 sandygao Exp $
Author:
  Elena Litani, IBM, Sandy Gao, IBM

Constructor Summary
`CMBuilder(CMNodeFactory nodeFactory)`

Method Summary
`XSCMValidator` | `getContentModel(XSComplexTypeDecl typeDecl)` Get content model for the a given type
`void` | `setDeclPool(XSDeclarationPool declPool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMBuilder

    public CMBuilder(CMNodeFactory nodeFactory)

Method Detail

### setDeclPool

    public void setDeclPool(XSDeclarationPool declPool)

### getContentModel

    public XSCMValidator getContentModel(XSComplexTypeDecl typeDecl)

  Get content model for the a given type
  Parameters:
    `typeDecl` - get content model for which complex type
  Returns:
    a content model validator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.